/*
Copyright (C) 2014 Taisuke Kobayashi
    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
function Transaction(category) {
  this.bs = new BrowserStorage(category)
}

Transaction.prototype.set = function(val) {
  var key =  "" + new Date().getTime()
  return this.setFromDb(key, val)
}

Transaction.prototype.setFromDb = function(key, val) {
  var checkVal = this.bs.get(key)
  if(checkVal != ""){
    alert("transaction keyʣƤޤ\nkey=" + key + "\nval=" + val
          + "\ncheckVal=" + checkVal + "\nΥǡɲäޤǤ")
    return ""
  }
  this.bs.set(key, val)
  return key
}

Transaction.prototype.get = function(key) {
  return this.bs.get(key)
}

Transaction.prototype.keyList = function() {
  return this.bs.keyList()
}

Transaction.prototype.removeAll = function() {
  return this.bs.removeAll()
}
