/*
Copyright (C) 2014 Taisuke Kobayashi
    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
mente2Sep = "\n###\n"
mente2BsKyeId1Id2 = "id1id2"
mente2Bs = null
mente2Shukujitsu = ""
mente2Keyword = ""

function mente2Init(category) {
  mente2Bs = new BrowserStorage(category)
  var s1 = window.location.hash
  if(s1.match(/^#(\d+)-(\w+)$/))
    mente2Bs.set(mente2BsKyeId1Id2, "id1=" + RegExp.$1 + "&id2=" + RegExp.$2)
  return
}

function mente2CheckHashForId() {
  return mente2Bs.get(mente2BsKyeId1Id2)
}

function mente2Top() {
  var s = "<pre><button onClick=\"life2Top()\"></button>\n"
  s += "<button onClick=\"mente2View()\">ɽ</button>\n"
  s += "<button onClick=\"mente2Send()\">Ф¸</button>\n"
  s += "<button onClick=\"mente2Recv()\">Фɹ</button>\n"
  s += "<button onClick=\"mente2RemoveAll()\">ƺ</button>\n"
  s += "<button onClick=\"mente2ShukujitsuTop()\">Խ</button></pre>"
  life2Id.innerHTML = s
}

function mente2View() {
  var s = "<pre><button class=\"c1\" onClick=\"mente2Top()\"></button>"
  s += "<input id=\"mente\" type=\"text\" size=\"10\" value=\"" + mente2Keyword + "\">"
  s += "<button class=\"c1\" onClick=\"mente2Search()\"></button>"
  s += "<span class=\"s\">(λ)</span>\n"
  s += mente2SearchView()
  s += "</pre>"
  life2Id.innerHTML = s
}

function mente2Search() {
  mente2Keyword = document.getElementById("mente").value
  mente2View()
}

function mente2SearchView() {
  var s = ""
  var keyList = life2Dt.trKeyList(), i, key, val
  keyList = keyList.reverse()
  for(i = 0; i < keyList.length; i++){
    key = keyList[i]
    val = life2Dt.trGet(key)
    if(mente2Keyword == "" || key.indexOf(mente2Keyword) >= 0 || val.indexOf(mente2Keyword) >= 0)
      s += key + "\n" + val + mente2Sep
  }
  return s
}

function mente2Data() { // mente2Send()ǻѤƤΤǡؤˤդɬס
  var s = ""
  var keyList = life2Dt.trKeyList(), i, key, val
  for(i = 0; i < keyList.length; i++){
    key = keyList[i]
    val = life2Dt.trGet(key)
    s += key + "\n" + val + mente2Sep
  }
  return s
}

function mente2RemoveAll() {
  if(confirm("DB¸Ʋ\nǡƺޤ\nǤ")){
    life2Dt.removeAll()    
  }
}

function mente2ShukujitsuTop() {
  mente2Shukujitsu = life2Dt.trGetShukujitsu()
  var s = "<pre>"
  s += "<textarea id=\"mente\" wrap=\"off\" rows=\"4\">" + mente2Shukujitsu + "</textarea>\n"
  s += "<button onClick=\"mente2Top()\"></button>"
  s += "<button onClick=\"mente2ShukujitsuSet()\">Ͽ</button>\n"
  s += "<span class=\"s\">Ⱦ8(yyyymmdd)ڤϥڡޤϲ</span>"
  s += "</pre>"
  life2Id.innerHTML = s
}

function mente2ShukujitsuSet() {
  mente2Shukujitsu = document.getElementById("mente").value
  life2Dt.trSetShukujitsu(life2Cal.nowStr(), mente2Shukujitsu)   
  life2Cal.setShukujitsu()
  mente2Top()
}

function mente2Send() {
  var s = "<pre><button onClick=\"mente2Top()\"></button>\n"
  try{
    s += mente2Post("life2Mente.html", 1, mente2Data())
  }catch(e){
    alert("mente2Send(): 顼ȯΤǡǤޤ\n\n" + e)
   
  }
  s += "\n</pre>"
  life2Id.innerHTML = s
}

function mente2Recv() {
  var s = "<pre><button onClick=\"mente2Top()\"></button>\n"
  var d1 = ""
  try{
    d1 = mente2Post("life2Mente.html", 2, "")
  }catch(e){
    alert("mente2Recv(): 顼ȯΤǡǤޤ\n\n" + e)
    s += "\n</pre>"
    life2Id.innerHTML = s
    return
  }
  var d2 = d1.split(mente2Sep)
  var r1 = "", e1 = "", cnt = 0, i
  var keyList = life2Dt.trKeyList().join(" ")
  for(i = 0; i < d2.length; i++){
    if(d2[i].match(/^(\d+)\n([\s\S]+)$/)){
      var key = RegExp.$1, val = RegExp.$2
      if(keyList.indexOf(key) >= 0)
        continue
      if(life2Dt.trSetFromDb(key, val) != ""){
        r1 += key + "\n" + val + mente2Sep
        cnt++
      }
    }else{
      if(i < d2.length -1)
        e1 += "error: i=" + i + " d2[i]=" + d2[i] + "\n"
    }
  }
  if(cnt > 0)
    life2Dt.init()
  s += e1 + "" + cnt + "ɤ߹ߤޤ\n" + r1
  s += "\n</pre>"
  life2Id.innerHTML = s
}

function mente2Post(url, status, data) {
  throw new Error("Фʤɤ򤴽塢¹ԤƲ\nǤޤ")
  var send = "", recv = ""
  var id = mente2CheckHashForId()
  if(id == "")
    throw "mente2Post(): idåȤƤޤǤ" + url
  send += "status=" + status + "&" + id + "&client_data=" + mente2Encode(data)
  xhr = new XMLHttpRequest()
  xhr.onreadystatechange = function() {
    if(xhr.readyState == 4){ // DONE
      if(xhr.status == 200){ // OK
        recv = xhr.responseText
      }else{
        throw "Error: mente2Post() url=" + url + " status=" + xhr.status
      }
    }
  }
  xhr.open("POST", url, false)
  xhr.setRequestHeader("content-type", "application/x-www-form-urlencoded")
  xhr.send(send)
  return recv
}

function mente2Encode(s) {
  return encodeURIComponent(s).replace(/%20/g, "+")
}
